Bug 1468023 - (CVE-2017-10810) CVE-2017-10810 Kernel: virtio-gpu: memory leakage while creating gpu object
CVE-2017-10810 Kernel: virtio-gpu: memory leakage while creating gpu object
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170406,reported=2...
: Security
Depends On: 1468024
Blocks: 1465570
  Show dependency treegraph
 
Reported: 2017-07-05 15:28 EDT by Prasad J Pandit
Modified: 2017-07-17 16:20 EDT (History)
33 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2017-07-05 15:28:31 EDT
Linux kernel built with the VirtIO GPU driver(CONFIG_DRM_VIRTIO_GPU) support
is vulnerable to a memory leakage issue. It could occur while creating a virtio
gpu object in virtio_gpu_object_create().

A user/process could use this flaw to leak host kernel memory potentially
resulting in DoS.

Upstream patch:
---------------
  -> https://git.kernel.org/linus/385aee965b4e4c36551c362a334378d2985b722a

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/07/07/2
Comment 1 Prasad J Pandit 2017-07-05 15:29:01 EDT
Acknowledgments:

Name: Li Qiang (Qihoo 360 Gear Team)
Comment 2 Prasad J Pandit 2017-07-05 15:29:48 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1468024]
Comment 3 Prasad J Pandit 2017-07-07 06:39:00 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

This issue affects the version of Linux kernel as shipped with
Red Hat Enterprise Linux 7.

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 4 Fedora Update System 2017-07-17 15:18:19 EDT
kernel-4.11.10-100.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2017-07-17 16:20:49 EDT
kernel-4.11.10-200.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.